factory_trait.hh File Reference
`#include <mia/core/defines.hh>`
`#include <memory>`
Include dependency graph for factory_trait.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | FactoryTrait< T >
| Type trait to enable the use of a factory product as command line option. More...
class | FactoryTrait< std::shared_ptr< T > >
| Type trait to enable the use of a factory product as command line option. More...

## Macros

#define | FACTORY_TRAIT(F)